"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var normalizr_1 = require("normalizr");
var countryEntity = new normalizr_1.schema.Entity("countries", {}, { idAttribute: function (e) { return e.code; } });
exports.countryEntity = countryEntity;
var accountEntity = new normalizr_1.schema.Entity("accounts", {});
exports.accountEntity = accountEntity;
var contactEntity = new normalizr_1.schema.Entity("contacts", {
    account: accountEntity,
    address: {
        country: countryEntity
    }
});
exports.contactEntity = contactEntity;
