"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var mergeEntities = function (oldMap, newMap) {
    var keys = Object.keys(newMap);
    var merged = {};
    for (var i = 0, l = keys.length; i < l; ++i) {
        var entityName = keys[i];
        merged[entityName] = __assign(__assign({}, (oldMap[entityName] || {})), newMap[entityName]);
    }
    return __assign(__assign({}, oldMap), merged);
};
exports.default = mergeEntities;
