"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function createTestServer(delayMs, data) {
    var counter = 50;
    return {
        findByKey: function (id) {
            return new Promise(function (resolve, reject) {
                return setTimeout(function () {
                    return resolve(data.filter(function (v) { return v.id == id; })[0]);
                }, delayMs);
            });
        },
        //autoComplete: (q) =>
        //    new Promise(
        //        (resolve, reject) =>
        //            setTimeout(() =>
        //                resolve(runQuery(data, q, o => hasKeywords(o, q.input.text!))),
        //                delayMs)),
        update: function () { return Promise.reject({}); },
        delete: function () { return Promise.reject({}); }
    };
}
exports.default = createTestServer;
